%global momorel 3
Summary: system-tray-applet
Name: system-tray-applet
Version: 0.15
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.15/%{name}-%{version}.tar.bz2
Nosource: 0
Patch0: system-tray-applet-0.15-gcc34.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: GConf
Prereq: scrollkeeper
BuildPrereq: gnome-panel-devel

%description
Applet for system tray.

%prep
%setup -q
%patch -p1 -b .gcc34

%build
libtoolize -c -f 
aclocal
autoconf
%configure
%make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null
scrollkeeper-update

%postun
scrollkeeper-update

%files 
%defattr(-, root, root)
%doc README COPYING ChangeLog AUTHORS NEWS
%{_libdir}/system-tray-applet
%{_libdir}/bonobo/servers/GNOME_SystemTrayApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_SystemTrayApplet.xml
%{_datadir}/locale/*/*/*

%changelog
* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-3m)
- delete libtool library

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.15-2m)
- add Patch0: system-tray-applet-0.15-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823] 

* Fri Jun 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.15-1m)
- version 0.15
